%define	upstream_name	 GTop
%define	upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl interface to libgtop
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/M/MJ/MJH/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: libgtop2.0-devel
BuildRequires: perl-devel
Requires:   perl

%{?perl_default_filter}

%description
GTop is a Perl interface to libgtop.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files 
%doc Changes META.yml MYMETA.yml README TODO examples
%{perl_vendorarch}/config.pl
%{perl_vendorarch}/GTop*
%{perl_vendorarch}/auto/GTop
%{_mandir}/*/*


%changelog
* Sun Oct 19 2014 umeabot <umeabot> 0.180.0-10.mga5
+ Revision: 789506
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-9.mga5
+ Revision: 746621
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.180.0-8.mga5
+ Revision: 732239
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.180.0-7.mga5
+ Revision: 684827
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.180.0-6.mga5
+ Revision: 631208
- Rebuild for perl 5.20

* Mon Jun 02 2014 jquelin <jquelin> 0.180.0-5.mga5
+ Revision: 630619
- libgtop rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.180.0-4.mga4
+ Revision: 524314
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.180.0-3.mga4
+ Revision: 430699
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 367620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.180.0-1.mga3
+ Revision: 254950
- update to 0.18

* Wed May 30 2012 jquelin <jquelin> 0.170.0-2.mga3
+ Revision: 250751
- rebuild for perl 5.16
- update to 0.17

* Sun Jun 12 2011 sander85 <sander85> 0.160.0-2.mga2
+ Revision: 104651
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 32756
- mageia rebuild
- imported package perl-GTop


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.0
+ Revision: 409301
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.16-2mdv2009.0
+ Revision: 268514
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 30 2008 Olivier Blin <oblin@mandriva.com> 0.16-1mdv2009.0
+ Revision: 199735
- initial perl-GTop package
- create perl-GTop

